classification
Title: Document typing.NamedTuple default argument syntax
Type: Stage: patch review
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Jelle Zijlstra, gvanrossum, levkivskyi, python-dev, rhettinger
Priority: normal Keywords: patch

Created on 2017-01-18 16:09 by Jelle Zijlstra, last changed 2017-01-29 04:18 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
issue29310.patch Jelle Zijlstra, 2017-01-25 03:39 doc patch review
issue29310-2.patch Jelle Zijlstra, 2017-01-28 04:02 review
issue29310-3.patch Jelle Zijlstra, 2017-01-28 17:04 review
Messages (9)
msg285740 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2017-01-18 16:09
Document https://github.com/python/typing/pull/338

I should have a patch in the next few days; creating this issue to remind myself.
msg286232 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2017-01-25 09:07
Thank you for the patch! I added few comments.
msg286398 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2017-01-28 04:02
Thanks! Uploaded a revised patch.
msg286406 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2017-01-28 09:20
I have found one typo (see Rietveld), otherwise LGTM.
msg286416 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2017-01-28 17:04
Fixed the typo
msg286417 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2017-01-28 17:21
Thank you!

Guido, I think this is ready to be merged.
msg286425 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-01-29 01:40
Sorry, I'm still sick. You may have to find another core dev to help you.
msg286427 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-29 04:17
New changeset b33c3f26eefa by Raymond Hettinger in branch '3.6':
Issue 29310: Document typing.NamedTuple default argument syntax
https://hg.python.org/cpython/rev/b33c3f26eefa
msg286428 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-01-29 04:18
Thanks for the patch.  It applies cleanly.  The docs build just fine.  The markup looks okay.  The example runs correctly.

Applied and marking as closed.
History
Date User Action Args
2017-01-29 04:18:59rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg286428
2017-01-29 04:17:16python-devsetnosy: + python-dev
messages: + msg286427
2017-01-29 03:53:59rhettingersetassignee: rhettinger

nosy: + rhettinger
2017-01-29 01:40:25gvanrossumsetmessages: + msg286425
2017-01-28 17:21:16levkivskyisetmessages: + msg286417
2017-01-28 17:04:36Jelle Zijlstrasetfiles: + issue29310-3.patch

messages: + msg286416
2017-01-28 09:20:46levkivskyisetmessages: + msg286406
2017-01-28 04:02:40Jelle Zijlstrasetfiles: + issue29310-2.patch

messages: + msg286398
2017-01-25 09:07:10levkivskyisetmessages: + msg286232
stage: patch review
2017-01-25 03:39:47Jelle Zijlstrasetassignee: Jelle Zijlstra -> (no value)
2017-01-25 03:39:38Jelle Zijlstrasetfiles: + issue29310.patch
keywords: + patch
2017-01-18 16:22:29gvanrossumsetnosy: + gvanrossum
2017-01-18 16:17:16levkivskyisetnosy: + levkivskyi
2017-01-18 16:09:17Jelle Zijlstracreate